#declare base=color rgb <0.4,0.20,0.20>

#declare ring=texture {
	pigment { color Black }
	finish { 
		diffuse 0.1
	}
	normal { 
		gradient x
		slope_map {
			[ 0 <-0.05 0> ]
			[ 1 <-0.05 0> ]
		}
	}
}

#declare wood_base=texture {
	pigment {color base }
	finish { 
		diffuse 0.1
		specular 0.4
		roughness 0.001
 		reflection 0.04
	}
}

#declare bar_wood=texture {
	wood
	texture_map {
		[ 0.0 ring ]
		[ 0.95 ring ]
		[ 0.95 wood_base ]
		[ 0.1 wood_base ]
	}
	turbulence < 0.1, 0.1,0.01 >
	scale < 0.35, 2,0.35>
	rotate z*90
	rotate x*90
	omega 0.65
}

#declare ash_base=color rgb<0.9411, 0.9490,0.7831>

#declare ash_ring=color rgb<0.3843,0.3059,0.2980>


#declare ash=texture{
	pigment {
		wood
		color_map {
			[0.0 ash_base]
			[0.75 ash_base]
			[0.75 ash_ring]
			[1.0 ash_ring]
		}
		turbulence<0.1,0.08,0.1>
		scale <0.2, 0.2, 0.2>
		octaves 3
	}	
	finish{
		diffuse 0.3
	}
}
#declare seat_ash=texture{
	pigment {
		wood
		color_map {
			[0.0 ash_base]
			[0.75 ash_base]
			[0.75 ash_ring]
			[1.0 ash_ring]
		}
		turbulence<0.1,0.1,0.05>
		scale <0.05,3,0.05>
		octaves 3
	}	
	finish{
		diffuse 0.3
	}
}

