#include "colors.inc"

#declare beer_glass=texture {
	pigment { rgbf <0.9,0.9,0.9,0.95> }
	finish { 
		diffuse 0.1
		specular 0.8
		roughness 0.003
		refraction 1
		ior 1.55
		reflection 0.08
	}
}

declare pint_glass_inside= object {
	union { 
		cone { <0,0.375,0>, 1.125 , <0,5.626,0>, 1.6251 }
		sphere { <0,0.375,0> 1.125 scale <1,0.05,1> }
	}
}

declare pint_glass=object {
	union {
		difference {
			cone { <0,0,0>, 1.25, <0,5.625,0>, 1.6875 }
			object { pint_glass_inside }
		}
		torus { 1.6250, 0.0625 scale <1,0.25,1> translate y * 5.625 }
		texture { beer_glass }
	}
}
 